Zercurity data services
  • Summary
  • Applications (2)
  • Packages (0)
  • Vulnerabilities (32)

libcpupower1

Hashes
CPU frequency and voltage scaling tools for Linux (libraries) This package contains the shared library.
  • SHA256: 8f780d60e6716244421ba6ff26f5e4e26a34a20c7bce58e1831d4704d5b1de8b
  • SHA1: 1e8edd29b152a6ea441ce81e2ce0fb4817743d69
  • MD5: f63d3f7089846b0b5df5e65af75bb7be
Information
  • Version: 4.9.168-1+deb9u4
  • Filename: libcpupower1_4.9.168-1+deb9u4_i386.deb
  • Size: 653
  • Type: DEB
  • Source: linux
  • Architecture: I386
  • URL: https://www.kernel.org/
  • Owner: Debian Kernel Team <debian-kernel@lists.debian.org>
  • Dependencies: libc6 (>= 2.4)

Applications

NameTypeArchSizeRisk
libcpupower.so.0.0.1
/usr/lib/libcpupower.so.1
220200
libcpupower.so.0.0.1
/usr/lib/libcpupower.so.0.0.1
220200

Vulnerabilities

NameRiskSourceFixed
CVE-2015-855365DSA
DSA-4497-1
CVE-2017-1850978DSA
DSA-4497-1
CVE-2018-599555DSA
DSA-4497-1
CVE-2018-2083693DSA
DSA-4497-1
CVE-2018-2085678DSA
DSA-4497-1
CVE-2019-112555DSA
DSA-4497-1
CVE-2019-388255DSA
DSA-4497-1
CVE-2019-390077DSA
DSA-4497-1
CVE-2019-1020755DSA
DSA-4497-1
CVE-2019-1063865DSA
DSA-4497-1
CVE-2019-1063975DSA
DSA-4497-1
CVE-2019-1363168DSA
DSA-4497-1
CVE-2019-1364855DSA
DSA-4497-1
CVE-2019-1428368DSA
DSA-4497-1
CVE-2019-1428462DSA
DSA-4497-1
CVE-2019-1523978DSA
DSA-4497-1
CVE-2015-855365DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2017-1850978DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2018-599555DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2018-2083693DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2018-2085678DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-112555DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-388255DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-390077DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-1020755DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-1063865DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-1063975DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-1363168DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-1364855DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-1428368DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-1428462DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5
CVE-2019-1523978DSA
DSA-4497-1
libcpupower1
4.9.168-1+deb9u5

Raw Object

{
  "sha256": "8f780d60e6716244421ba6ff26f5e4e26a34a20c7bce58e1831d4704d5b1de8b",
  "sha1": "1e8edd29b152a6ea441ce81e2ce0fb4817743d69",
  "md5": "f63d3f7089846b0b5df5e65af75bb7be",
  "type": "DEB",
  "arch": "I386",
  "name": "libcpupower1",
  "filename": "libcpupower1_4.9.168-1+deb9u4_i386.deb",
  "size": 653,
  "description": "CPU frequency and voltage scaling tools for Linux (libraries)\nThis package contains the shared library.",
  "url": "https://www.kernel.org/",
  "version": "4.9.168-1+deb9u4",
  "source": "linux",
  "owner": "Debian Kernel Team <debian-kernel@lists.debian.org>",
  "dependencies": "libc6 (>= 2.4)",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.1",
      "sha256": "abd7da516590d2190ecfad7c3e9625948df9561b0a3dd230fd05294c5db82beb",
      "sha1": "80620df8140ea30fecd93d7dfae8f4705b90aee0",
      "md5": "7af0a1ce2fb4ae1293b0f29b6426db9a",
      "name": "libcpupower.so.0.0.1",
      "size": 22020,
      "description": null,
      "package": 1074448,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-09T01:57:35+00:00",
      "updated_at": "2021-03-09T01:57:35+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/libcpupower.so.0.0.1",
      "sha256": "abd7da516590d2190ecfad7c3e9625948df9561b0a3dd230fd05294c5db82beb",
      "sha1": "80620df8140ea30fecd93d7dfae8f4705b90aee0",
      "md5": "7af0a1ce2fb4ae1293b0f29b6426db9a",
      "name": "libcpupower.so.0.0.1",
      "size": 22020,
      "description": null,
      "package": 1074448,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-09T01:57:35+00:00",
      "updated_at": "2021-03-09T01:57:35+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2015-8553",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:09:57+00:00",
      "updated_at": "2021-03-09T08:09:57+00:00"
    },
    {
      "name": "CVE-2017-18509",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:09:58+00:00",
      "updated_at": "2021-03-09T08:09:58+00:00"
    },
    {
      "name": "CVE-2018-5995",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:09:59+00:00",
      "updated_at": "2021-03-09T08:09:59+00:00"
    },
    {
      "name": "CVE-2018-20836",
      "risk": 93,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:01+00:00",
      "updated_at": "2021-03-09T08:10:01+00:00"
    },
    {
      "name": "CVE-2018-20856",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:02+00:00",
      "updated_at": "2021-03-09T08:10:02+00:00"
    },
    {
      "name": "CVE-2019-1125",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:03+00:00",
      "updated_at": "2021-03-09T08:10:03+00:00"
    },
    {
      "name": "CVE-2019-3882",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:04+00:00",
      "updated_at": "2021-03-09T08:10:04+00:00"
    },
    {
      "name": "CVE-2019-3900",
      "risk": 77,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:05+00:00",
      "updated_at": "2021-03-09T08:10:05+00:00"
    },
    {
      "name": "CVE-2019-10207",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:06+00:00",
      "updated_at": "2021-03-09T08:10:06+00:00"
    },
    {
      "name": "CVE-2019-10638",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:07+00:00",
      "updated_at": "2021-03-09T08:10:07+00:00"
    },
    {
      "name": "CVE-2019-10639",
      "risk": 75,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:08+00:00",
      "updated_at": "2021-03-09T08:10:08+00:00"
    },
    {
      "name": "CVE-2019-13631",
      "risk": 68,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:09+00:00",
      "updated_at": "2021-03-09T08:10:09+00:00"
    },
    {
      "name": "CVE-2019-13648",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:10+00:00",
      "updated_at": "2021-03-09T08:10:10+00:00"
    },
    {
      "name": "CVE-2019-14283",
      "risk": 68,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:11+00:00",
      "updated_at": "2021-03-09T08:10:11+00:00"
    },
    {
      "name": "CVE-2019-14284",
      "risk": 62,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:12+00:00",
      "updated_at": "2021-03-09T08:10:12+00:00"
    },
    {
      "name": "CVE-2019-15239",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:14+00:00",
      "updated_at": "2021-03-09T08:10:14+00:00"
    },
    {
      "name": "CVE-2015-8553",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:46+00:00",
      "updated_at": "2021-07-19T14:00:46+00:00"
    },
    {
      "name": "CVE-2017-18509",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:47+00:00",
      "updated_at": "2021-07-19T14:00:47+00:00"
    },
    {
      "name": "CVE-2018-5995",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:47+00:00",
      "updated_at": "2021-07-19T14:00:47+00:00"
    },
    {
      "name": "CVE-2018-20836",
      "risk": 93,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:48+00:00",
      "updated_at": "2021-07-19T14:00:48+00:00"
    },
    {
      "name": "CVE-2018-20856",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:48+00:00",
      "updated_at": "2021-07-19T14:00:48+00:00"
    },
    {
      "name": "CVE-2019-1125",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:48+00:00",
      "updated_at": "2021-07-19T14:00:48+00:00"
    },
    {
      "name": "CVE-2019-3882",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:49+00:00",
      "updated_at": "2021-07-19T14:00:49+00:00"
    },
    {
      "name": "CVE-2019-3900",
      "risk": 77,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:49+00:00",
      "updated_at": "2021-07-19T14:00:49+00:00"
    },
    {
      "name": "CVE-2019-10207",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:50+00:00",
      "updated_at": "2021-07-19T14:00:50+00:00"
    },
    {
      "name": "CVE-2019-10638",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:50+00:00",
      "updated_at": "2021-07-19T14:00:50+00:00"
    },
    {
      "name": "CVE-2019-10639",
      "risk": 75,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:51+00:00",
      "updated_at": "2021-07-19T14:00:51+00:00"
    },
    {
      "name": "CVE-2019-13631",
      "risk": 68,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:51+00:00",
      "updated_at": "2021-07-19T14:00:51+00:00"
    },
    {
      "name": "CVE-2019-13648",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:52+00:00",
      "updated_at": "2021-07-19T14:00:52+00:00"
    },
    {
      "name": "CVE-2019-14283",
      "risk": 68,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:52+00:00",
      "updated_at": "2021-07-19T14:00:52+00:00"
    },
    {
      "name": "CVE-2019-14284",
      "risk": 62,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:53+00:00",
      "updated_at": "2021-07-19T14:00:53+00:00"
    },
    {
      "name": "CVE-2019-15239",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "04f7cdac6d60d055fd2f7cd7a1d5d1028889df6158853336f66466a6b702e74d",
        "name": "libcpupower1",
        "version": "4.9.168-1+deb9u5",
        "filename": "libcpupower1_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:53+00:00",
      "updated_at": "2021-07-19T14:00:53+00:00"
    }
  ],
  "risk": 93,
  "vulnerable": 93,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2019-07-20T15:19:16+00:00",
  "updated_at": "2021-03-09T01:57:35+00:00",
  "deleted_at": null
}